# ansible

[![Docker Pulls](https://img.shields.io/docker/pulls/volkerraschek/ansible-archlinux)](https://hub.docker.com/r/volkerraschek/ansible-archlinux)

This container image can be used to execute ansible. It contains the latest versions of ansible-core, ansible-lint and
python-boto3 to interact with AWS dynamic inventory.

Here is an example. The environment variables as well as the path to the playbook and inventory must of course be
adapted to your own needs.

```bash
docker run \
  --env AWS_ACCESS_KEY_ID \
  --env AWS_SECRET_ACCESS_KEY \
  --env AWS_SESSION_TOKEN \
  --rm \
  --volume $(pwd):$(pwd) \
  --workdir $(pwd) \
    git.cryptic.systems/volkerraschek/ansible:latest \
      bash -c "ansible-galaxy install -r requirements.yaml && ansible-playbook -i inventories/demo.aws_ec2.yaml aws.yaml"
```
